%define section         free
%bcond_without          full

Name:           bsf
Version:        2.4.0
Release:        %mkrel 4
Epoch:          0
Summary:        Bean Scripting Framework
License:        Apache License
Url:            http://jakarta.apache.org/bsf/
Group:          Development/Java
#Vendor:        JPackage Project
#Distribution:  JPackage
Source0:        http://www.apache.org/dist/jakarta/bsf/source/bsf-src-%{version}.tar.gz
Source1:        http://www.apache.org/dist/jakarta/bsf/source/bsf-src-%{version}.tar.gz.asc
Source2:        http://www.apache.org/dist/jakarta/bsf/source/bsf-src-%{version}.tar.gz.md5
Source3:        build-properties.xml
Source4:        bsf-pom.xml
Requires:       jakarta-commons-logging
Requires:       jython
Requires:       rhino
Requires:       servletapi5
Requires:       java >= 0:1.6
BuildRequires:  ant
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-collections
%if %with full
BuildRequires:  jacl
BuildRequires:  jython
#BuildRequires: netrexx
BuildRequires:  rhino
BuildRequires:  java-devel >= 0:1.6
%endif
BuildRequires:  servletapi5
BuildRequires:	java-rpmbuild
BuildRequires:	dom4j
BuildRequires:	jdom
BuildRequires:	liblog4j-java
BuildRequires:	velocity
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch

%description
Bean Scripting Framework (BSF) is a set of Java classes which provides
scripting language support within Java applications, and access to Java
objects and methods from scripting languages. BSF allows one to write
JSPs in languages other than Java while providing access to the Java
class library. In addition, BSF permits any Java application to be
implemented in part (or dynamically extended) by a language that is
embedded within it. This is achieved by providing an API that permits
calling scripting language engines from within Java, as well as an
object registry that exposes Java objects to these scripting language
engines.

BSF supports several scripting languages currently:
* Javascript (using Rhino ECMAScript, from the Mozilla project)
* Python (using either Jython or JPython)
* Tcl (using Jacl)
* NetRexx (an extension of the IBM REXX scripting language in Java)
* XSLT Stylesheets (as a component of Apache XML project's Xalan and
Xerces)

In addition, the following languages are supported with their own BSF
engines:
* Java (using BeanShell, from the BeanShell project)
* JRuby
* JudoScript

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%{_bindir}/find . -name '*.jar' -o -name '*.class' | %{_bindir}/xargs -t %{__rm}
%{__cp} -a %{SOURCE3} build-properties.xml

%build
%if %with full
export CLASSPATH=$(build-classpath log4j dom4j jdom rhino xalan-j2 xerces-j2 jython servletapi5 jspapi jacl commons-logging)
%else
export CLASSPATH=$(build-classpath servletapi5 jspapi commons-logging)
%endif
##export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib/tools.jar
%{ant} bindist

%install
%{__rm} -rf %{buildroot}
# jar
%{__mkdir_p} 755 %{buildroot}%{_javadir}
%{__cp} -a dist/bsf-%{version}/lib/bsf.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a dist/bsf-%{version}/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

%{__install} -DTm 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.apache.bsf %{name} %{version} JPP %{name}
%add_to_maven_depmap bsf %{name} %{version} JPP %{name}

%{__perl} -pi -e 's/\r$//g' dist/bsf-%{version}/samples/scriptedui/ui.jacl dist/bsf-%{version}/samples/scriptedui/ui.py

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi

%files
%doc dist/bsf-%{version}/*.txt dist/bsf-%{version}/samples
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %{_javadocdir}/%{name}






%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0:2.4.0-4.mga3
+ Revision: 347206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 dmorgan <dmorgan> 0:2.4.0-3.mga2
+ Revision: 156835
- Try to fix demap

* Wed Jul 20 2011 dmorgan <dmorgan> 0:2.4.0-2.mga2
+ Revision: 127270
- Fix CLASSPATH
- Remove gcj_support
- Remove gcj_support

  + gil <gil>
    - add jacl support; maven2 pom

* Sat Jan 15 2011 mikala <mikala> 0:2.4.0-1.8.mga1
+ Revision: 18433
- imported package bsf

